Package frc.robot.subsystems.swervedrive.swerve.motors

## Enum REVSwerveMotor.REV_slotIdx

- java.lang.Object
- - java.lang.Enum<REVSwerveMotor.REV_slotIdx>
  - - frc.robot.subsystems.swervedrive.swerve.motors.REVSwerveMotor.REV_slotIdx

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<REVSwerveMotor.REV_slotIdx>`

Enclosing class:
  REVSwerveMotor

    static enum REVSwerveMotor.REV_slotIdx
    extends java.lang.Enum<REVSwerveMotor.REV_slotIdx>

REV Slots for PID configuration.

### Enum Constant Summary

Enum Constants
`Position`
`Simulation`
`Velocity`

### Constructor Summary

Constructors
`private` `REV_slotIdx()`

### Method Summary

All Methods Static Methods Concrete Methods
`static REVSwerveMotor.REV_slotIdx` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static REVSwerveMotor.REV_slotIdx[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### Position

    public static final REVSwerveMotor.REV_slotIdx Position

#### Velocity

    public static final REVSwerveMotor.REV_slotIdx Velocity

#### Simulation

    public static final REVSwerveMotor.REV_slotIdx Simulation

### Constructor Detail

#### REV_slotIdx

    private REV_slotIdx()

### Method Detail

#### values

    public static REVSwerveMotor.REV_slotIdx[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (REVSwerveMotor.REV_slotIdx c : REVSwerveMotor.REV_slotIdx.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static REVSwerveMotor.REV_slotIdx valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null